Loading...
Searching...
No Matches
gridfire::EnergyDerivatives Struct Reference

`#include <engine_abstract.h>`

## Public Attributes

double | dEps_dT = 0.0
| Partial derivative of energy generation rate with respect to temperature.
double | dEps_dRho = 0.0
| Partial derivative of energy generation rate with respect to density.

## Friends

std::ostream & | operator<< (std::ostream &os, const EnergyDerivatives &ed)

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | os,
|  | const EnergyDerivatives & | ed )

friend

## Member Data Documentation

## dEps_dRho

double gridfire::EnergyDerivatives::dEps_dRho = 0.0

Partial derivative of energy generation rate with respect to density.

## dEps_dT

double gridfire::EnergyDerivatives::dEps_dT = 0.0

Partial derivative of energy generation rate with respect to temperature.

The documentation for this struct was generated from the following file:

- src/include/gridfire/engine/engine_abstract.h